Update Firewall Configuration
PATCH
https://api.vercel.com/v1/security/firewall/configProcess updates to modify the existing firewall config for a project
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.security.updateFirewallConfig({ projectId: "<id>", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", requestBody: { action: "ip.remove", id: "<id>", }, });
console.log(result);}
run();Response
"value"AuthorizationbearerToken
Default authentication mechanism